org.eclipse.emf.cdo.common.commit

## Interface CDOCommitInfo

- All Superinterfaces:
    CDOBranchPoint, CDOBranchProvider, CDOChangeKindProvider, CDOChangeSetData, CDOCommitData, CDOTimeProvider
  All Known Subinterfaces:
    CDOCommitHistory.TriggerLoadElement, CDOSessionInvalidationEvent, InternalCDOSessionInvalidationEvent

      public interface CDOCommitInfo
      extends CDOBranchPoint, CDOCommitData

  `Commit data` in the context of a `commit info manager` with additional commit informations.
  Since:
    3.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `INVALID_DATE, UNSPECIFIED_DATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `CDOCommitInfoManager` | `getCommitInfoManager()`
    `CDOCommitInfo` | `getMergedCommitInfo()`
    `CDOBranchPoint` | `getMergeSource()`
    `CDOCommitInfo` | `getPreviousCommitInfo()`
    `long` | `getPreviousTimeStamp()`
    `java.lang.String` | `getUserID()`
    `boolean` | `isCommitDataLoaded()`
    `boolean` | `isInitialCommit()` Returns `true` if this commit info describes the first initializing commit in the `repository`, `false` otherwise.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.branch.CDOBranchPoint

      `getBranch, getTimeStamp`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOCommitData

      `getNewPackageUnits`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeSetData

      `copy, getChangedObjects, getChangeKinds, getDetachedObjects, getNewObjects, isEmpty, merge`

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.commit.CDOChangeKindProvider

      `getChangeKind`

- - ### Method Detail

    - #### getCommitInfoManager

          CDOCommitInfoManager getCommitInfoManager()

    - #### getPreviousTimeStamp

          long getPreviousTimeStamp()

      Since:
        4.0

    - #### getPreviousCommitInfo

          CDOCommitInfo getPreviousCommitInfo()

      Since:
        4.6

    - #### getUserID

          java.lang.String getUserID()

    - #### getComment

          java.lang.String getComment()

    - #### getMergeSource

          CDOBranchPoint getMergeSource()

      Since:
        4.6

    - #### getMergedCommitInfo

          CDOCommitInfo getMergedCommitInfo()

      Since:
        4.6

    - #### isInitialCommit

          boolean isInitialCommit()

      Returns `true` if this commit info describes the first initializing commit in the `repository`, `false` otherwise.
      Since:
        4.2

    - #### isCommitDataLoaded

          boolean isCommitDataLoaded()

      Since:
        4.2

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html